Package com.smartgwt.logicalstructure.widgets.tour

# Class TourWindowLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.layout.VLayoutLogicalStructure
com.smartgwt.logicalstructure.widgets.WindowLogicalStructure
com.smartgwt.logicalstructure.widgets.tour.TourWindowLogicalStructure

public class TourWindowLogicalStructure extends WindowLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `actionButtonTitle`
  `String`
  `actionButtonURL`
  `String`
  `cancelButtonDisabled`
  `String`
  `cancelButtonPrompt`
  `String`
  `cancelButtonTitle`
  `Canvas[]`
  `contentComponents`
  `String`
  `contents`
  `String`
  `showActionButton`
  `String`
  `showCancelButton`
  `String`
  `showProgress`
  `String`
  `showProgressPercent`
  `String`
  `showProgressPercentInline`
  `String`
  `title`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.WindowLogicalStructure

  `animateMinimize, autoCenter, autoSize, bodyColor, bodyStyle, bringToFrontOnMouseUp, canDragReposition, canDragResize, canFocusInHeaderButtons, contentLayout, contentsType, defaultMinimizeHeight, dismissOnEscape, dismissOnOutsideClick, editProxyConstructor, fillSpaceStyleName, footerControls, footerHeight, headerControlsAsCanvasArray, headerControlsAsStringArrayArray, headerSrc, headerStyle, hiliteBodyColor, hiliteHeaderSrc, hiliteHeaderStyle, isModal, keepInParentRectAsString, maximized, minimizeAcceleration, minimized, minimizeHeight, minimizeTime, modalMaskOpacity, modalMaskStyle, opacity, placement, printBodyStyle, printHeaderStyle, resizeFrom, showBody, showCloseButton, showEdges, showFooter, showHeader, showHeaderBackground, showHeaderIcon, showMaximizeButton, showMinimizeButton, showModalMask, showResizer, showShadow, showStatusBar, showTitle, src, status, useBackMask`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.layout.LayoutLogicalStructure

  `alignAsString, animateMembers, animateMemberTime, canDropComponents, defaultLayoutAlignAsString, defaultResizeBars, dropLineThickness, enforcePolicy, hPolicy, layoutBottomMargin, layoutEndMargin, layoutLeftMargin, layoutMargin, layoutRightMargin, layoutStartMargin, layoutTopMargin, leaveScrollbarGap, locateMembersBy, locateMembersType, managePercentBreadth, memberOverlap, membersAsCanvasArray, membersAsStringArrayArray, membersMargin, minMemberLength, minMemberSize, overflow, paddingAsLayoutMargin, resizeBarClass, resizeBarSize, reverseOrder, showDragPlaceHolder, showDropLines, stackZIndex, vertical, vPolicy`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.CanvasLogicalStructure

  `accessKey, adaptiveHeightPriority, adaptiveWidthPriority, alwaysManageFocusNavigation, alwaysShowScrollbars, animateAcceleration, animateFadeTime, animateHideAcceleration, animateHideTime, animateMoveAcceleration, animateMoveTime, animateRectAcceleration, animateRectTime, animateResizeAcceleration, animateResizeLayoutMode, animateResizeTime, animateScrollAcceleration, animateScrollTime, animateShowAcceleration, animateShowTime, animateTime, appImgDir, ariaRole, autoMaskComponents, autoParent, autoPopulateData, autoRevertStyles, autoShowParent, backgroundColor, backgroundImage, backgroundPosition, backgroundRepeat, border, borderRadiusAsString, canAcceptDrop, canAdaptHeight, canAdaptWidth, canDrag, canDragScroll, canDrop, canDropBefore, canDropContent, canDropFiles, canFocus, canHover, canSelectText, canvasItem, childrenAsCanvasArray, childrenAsStringArrayArray, childrenResizeSnapAlign, childrenSnapAlign, childrenSnapCenterAlign, childrenSnapEdgeAlign, childrenSnapResizeToGrid, childrenSnapToGrid, contentsComponentDefaults, contextMenu, correctZoomOverflow, cursor, dataContext, dataPath, defaultHeight, defaultWidth, deferActionConversion, definingProperty, definingPropertyNameOptions, destroyed, destroying, disabled, disabledCursor, disableTouchScrollingForDrag, doubleClickDelay, dragAppearance, dragIntersectStyle, dragMaskType, dragMaxHeight, dragMaxWidth, dragMinHeight, dragMinWidth, dragOpacity, dragRepositionAppearance, dragRepositionCursor, dragResizeAppearance, dragScrollDelay, dragStartDistance, dragTargetAsCanvas, dragTargetAsString, dragType, dropTargetAsCanvas, dropTargetAsString, dropTypesAsStringArrayArray, dynamicContents, edgeBackgroundColor, edgeCenterBackgroundColor, edgeImage, edgeMarginSize, edgeOffset, edgeOpacity, edgeShowCenter, edgeSize, editNode, enableWhen, endLine, extraSpace, floatingScrollbars, forwardSVGeventsToObject, groupBorderCSS, groupLabelBackgroundColor, groupLabelStyleName, groupPadding, groupTitle, heightAsString, hideUsingDisplayNone, hoverAlign, hoverAutoDestroy, hoverAutoFitMaxWidthAsString, hoverAutoFitWidth, hoverDelay, hoverFocusKey, hoverHeight, hoverMoveWithMouse, hoverOpacity, hoverPersist, hoverScreen, hoverStyle, hoverVAlign, hoverWidth, hoverWrap, htmlElementAsString, htmlPosition, ID, isGroup, isPrinting, isRuleScope, isSnapAlignCandidate, layoutAlignAsString, leaveGroupLabelSpace, leavePageSpace, leftAsString, locateByIDOnly, locateChildrenBy, locateChildrenType, locatePeersBy, locatePeersType, locatorName, margin, masterElement, matchElement, matchElementHeight, matchElementWidth, maxHeight, maxWidth, maxZoomOverflowError, menuConstructorAsString, minHeight, minNonEdgeSize, minWidth, momentumScrollMinSpeed, mouseStillDownDelay, mouseStillDownInitialDelay, name, nativeAutoHideScrollbars, noDoubleClicks, noDropCursor, padding, parentCanvasAsCanvas, parentCanvasAsString, parentElementAsCanvas, parentElementAsString, peers, pendingMarkerStyle, pendingMarkerVisible, percentBox, percentSource, persistentMatchElement, pointerSettings, pointerTargetAsString, position, printChildrenAbsolutelyPositioned, printStyleName, prompt, proportionalResizeModifiers, proportionalResizing, receiveScrollbarEvents, redrawOnResize, resizeBarTarget, ruleScope, scrollbarSize, shadowColor, shadowDepth, shadowHOffset, shadowImage, shadowOffset, shadowSoftness, shadowSpread, shadowVOffset, shareCriteria, shouldPrint, showCustomScrollbars, showDragShadow, showFocusOutline, showHover, showHoverComponents, showPointer, showResizeBar, showSnapGrid, shrinkElementOnHide, singleDiv, sizeMayChangeOnRedraw, skinImgDir, snapAlignCandidates, snapAlignCenterLineStyle, snapAlignEdgeLineStyle, snapAxis, snapEdge, snapGridStyle, snapHDirection, snapHGap, snapOffsetLeft, snapOffsetTop, snapOnDrop, snapResizeToAlign, snapResizeToGrid, snapTo, snapToAlign, snapToCenterAlign, snapToEdgeAlign, snapToGrid, snapVDirection, snapVGap, startLine, styleName, suppressRedraw, tabIndex, testDataContext, topAsString, topElement, updateTabPositionOnDraw, updateTabPositionOnReparent, useCSSShadow, useDataContextCriteria, useDragMask, useGeneratedStyles, useImageForSVG, useNativeDrag, useOpacityFilter, useTouchScrolling, valuesManagerAsString, valuesManagerAsValuesManager, visibility, visibleWhen, widthAsString, workflows`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TourWindowLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### actionButtonTitle

    public String actionButtonTitle

  - ### actionButtonURL

    public String actionButtonURL

  - ### cancelButtonDisabled

    public String cancelButtonDisabled

  - ### cancelButtonPrompt

    public String cancelButtonPrompt

  - ### cancelButtonTitle

    public String cancelButtonTitle

  - ### contentComponents

    public Canvas[] contentComponents

  - ### contents

    public String contents

  - ### showActionButton

    public String showActionButton

  - ### showCancelButton

    public String showCancelButton

  - ### showProgress

    public String showProgress

  - ### showProgressPercent

    public String showProgressPercent

  - ### showProgressPercentInline

    public String showProgressPercentInline

  - ### title

    public String title

- ## Constructor Details

  - ### TourWindowLogicalStructure

    public TourWindowLogicalStructure()